Package org.bedework.synch.wsmessages

# Class ActiveSubscriptionRequestType

java.lang.Object
org.bedework.synch.wsmessages.BaseSynchRequestType
org.bedework.synch.wsmessages.ActiveSubscriptionRequestType

Direct Known Subclasses:
  `RefreshRequestType`, `SubscriptionStatusRequestType`, `UnsubscribeRequestType`

public class ActiveSubscriptionRequestType extends BaseSynchRequestType
Messages involving active subscriptions. These need to provide all the information for a given end of the subscription which would usually be the end that made the subscription in the first place. It's up to the connector to determine if enough information has been supplied to allow the requests to proceed.

Java class for ActiveSubscriptionRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActiveSubscriptionRequestType">
       <complexContent>
         <extension base="{http://www.bedework.org/synch/wsmessages}BaseSynchRequestType">
           <sequence>
             <element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="principalHref" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="subscription-id" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="end" type="{http://www.bedework.org/synch/wsmessages}SynchEndType"/>
             <element name="connectorInfo" type="{http://www.bedework.org/synch/wsmessages}ConnectorInfoType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ConnectorInfoType`
  `connectorInfo`
  `protected SynchEndType`
  `end`
  `protected String`
  `principalHref`
  `protected String`
  `subscriptionId`
  `protected String`
  `token`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActiveSubscriptionRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConnectorInfoType`
  `getConnectorInfo()`
  Gets the value of the connectorInfo property.
  `SynchEndType`
  `getEnd()`
  Gets the value of the end property.
  `String`
  `getPrincipalHref()`
  Gets the value of the principalHref property.
  `String`
  `getSubscriptionId()`
  Gets the value of the subscriptionId property.
  `String`
  `getToken()`
  Gets the value of the token property.
  `void`
  `setConnectorInfo(ConnectorInfoType value)`
  Sets the value of the connectorInfo property.
  `void`
  `setEnd(SynchEndType value)`
  Sets the value of the end property.
  `void`
  `setPrincipalHref(String value)`
  Sets the value of the principalHref property.
  `void`
  `setSubscriptionId(String value)`
  Sets the value of the subscriptionId property.
  `void`
  `setToken(String value)`
  Sets the value of the token property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### token

    protected String token

  - ### principalHref

    protected String principalHref

  - ### subscriptionId

    protected String subscriptionId

  - ### end

    protected SynchEndType end

  - ### connectorInfo

    protected ConnectorInfoType connectorInfo

- ## Constructor Details

  - ### ActiveSubscriptionRequestType

    public ActiveSubscriptionRequestType()

- ## Method Details

  - ### getToken

    public String getToken()
    Gets the value of the token property.
    Returns:
      possible object is `String`

  - ### setToken

    public void setToken(String value)
    Sets the value of the token property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPrincipalHref

    public String getPrincipalHref()
    Gets the value of the principalHref property.
    Returns:
      possible object is `String`

  - ### setPrincipalHref

    public void setPrincipalHref(String value)
    Sets the value of the principalHref property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSubscriptionId

    public String getSubscriptionId()
    Gets the value of the subscriptionId property.
    Returns:
      possible object is `String`

  - ### setSubscriptionId

    public void setSubscriptionId(String value)
    Sets the value of the subscriptionId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEnd

    public SynchEndType getEnd()
    Gets the value of the end property.
    Returns:
      possible object is `SynchEndType`

  - ### setEnd

    public void setEnd(SynchEndType value)
    Sets the value of the end property.
    Parameters:
      `value` - allowed object is `SynchEndType`

  - ### getConnectorInfo

    public ConnectorInfoType getConnectorInfo()
    Gets the value of the connectorInfo property.
    Returns:
      possible object is `ConnectorInfoType`

  - ### setConnectorInfo

    public void setConnectorInfo(ConnectorInfoType value)
    Sets the value of the connectorInfo property.
    Parameters:
      `value` - allowed object is `ConnectorInfoType`